Permalink
Browse files

raspbian pkgs specs: fake udev install

also devuan and trisquel... these are low profile at the moment
  • Loading branch information...
1 parent b1791db commit 8705f6b81f0e0a805dab2415f237840ea457f774 @wdlkmpx wdlkmpx committed Jan 11, 2017
@@ -567,7 +567,8 @@ yes|tdb|libtdb1,libtdb-dev|exe,dev,doc,nls| #needed by mplayer.
yes|texinfo|texinfo|exe>dev,dev,doc,nls
yes|time|time|exe,dev>null,doc,nls
yes|tslib|libts-0.0-0,libts-bin,libts-dev|exe,dev,doc,nls
-yes|udev|udev,libudev1,libudev-dev|exe,dev,doc,nls
+yes|udev|udev,libudev1,libudev-dev|exe>null,dev>null,doc>null,nls>null #fake install
+yes|eudev||exe,dev #pet pkg: replaces udev and libudev
yes|unclutter||exe,dev>null,doc,nls
yes|unionfs_utils||exe
yes|unrar|unrar-free|exe,dev,doc,nls
@@ -596,7 +596,8 @@ yes|tdb|libtdb1,libtdb-dev|exe,dev,doc,nls| #needed by mplayer.
yes|texinfo|texinfo|exe>dev,dev,doc,nls
yes|time|time|exe,dev>null,doc,nls
yes|tslib|libts-0.0-0,libts-bin,libts-dev|exe,dev,doc,nls
-yes|udev|udev,libudev1,libudev-dev|exe,dev,doc,nls
+yes|udev|udev,libudev1,libudev-dev|exe>null,dev>null,doc>null,nls>null #fake install
+yes|eudev||exe,dev #pet pkg: replaces udev and libudev
yes|unclutter||exe,dev>null,doc,nls
yes|unionfs_utils||exe
yes|unrar|unrar-free|exe,dev,doc,nls
@@ -627,10 +627,6 @@ yes|texinfo|texinfo|exe>dev,dev,doc,nls
yes|time|time|exe,dev>null,doc,nls
# silly dependency of PPM, can be easily replaced with head and tail
no|tslib|libts-0.0-0,libts-bin,libts-dev|exe,dev,doc,nls| #debian lenny: needed by libdirectfb->cairo.
-no|udev||exe
-no|udev_151||exe,dev,doc,nls
-no|udev_167p||exe,dev,doc,nls
-no|udev_libgudev|libgudev-1.0-0,libgudev-1.0-dev|exe,dev,doc,nls| #XFCE
# dependency of the input wizard thingy
yes|unclutter|unclutter|exe,dev>null,doc,nls
no|unrar||exe,dev,doc,nls
@@ -763,7 +759,8 @@ yes|PupControl||exe
no|PupSnap||exe
###yes|SDL||exe,dev,doc>null,nls>null
yes|sfs_load||exe
-yes|udev|udev,libudev1,libudev-dev|exe,dev,doc,nls
+yes|udev|udev,libudev1,libudev-dev|exe>null,dev>null,doc>null,nls>null #fake install
+yes|eudev||exe,dev #pet pkg: replaces udev and libudev
no|UExtract||exe
no|vattery_acpitool3x||exe
no|wag_profiles||exe
@@ -186,7 +186,6 @@ yes|enchant|libenchant1c2a,libenchant-dev|exe,dev,doc,nls
no|epdfview|epdfview|exe,dev>null,doc,nls| #not in repo. now using evince, my pet.
yes|esound|esound-common,libesd0,libesd0-dev|exe,dev,nls,doc
yes|ethtool|ethtool|exe,dev>null,doc,nls
-yes|eudev||exe,dev,doc,nls|pet:common| #note, requires kmod and a kernel with devtmpfs enabled.
no|evince|evince,libevdocument3-4,libevview3-3,libsecret-1-0,evince-common|exe,dev,doc,nls| #gtk3 pdf viewer
yes|evince||exe,dev,doc,nls|pet:librepup_x86| #needs gtk2, poppler.
yes|exiv2|exiv2,libexiv2-12,libexiv2-dev|exe,dev,doc,nls
@@ -847,10 +846,8 @@ no|transmission|transmission-common,transmission-gtk|exe,dev,doc,nls| #needs gtk
yes|tree|tree|exe,dev,doc,nls
no|truncate||exe
yes|tslib|libts-0.0-0,libts-bin,libts-dev|exe,dev,doc,nls
-no|udev|udev-16*,udev_DEV-16*|exe,dev,doc,nls|pet:wary5
-no|udev_167pe||exe,dev,doc,nls| #configured with libgudev, but pkg very cutdown.
-no|udev|udev,libudev0,libudev-dev|exe,dev,doc,nls
-no|udev1|libudev1,libgudev-1.0-0|exe,dev>null,doc,nls| #just the library, libudev.so.1, for now. no, have eudev.
+yes|udev|udev,libudev1,libudev-dev|exe>null,dev>null,doc>null,nls>null #fake install
+yes|eudev||exe,dev #pet pkg: replaces udev and libudev
yes|uget||exe,dev,doc,nls
yes|unclutter|unclutter|exe,dev>null,doc,nls
no|unionfs_utils||exe

2 comments on commit 8705f6b

@woodenshoe-wi
Contributor

I compiled the eudev pet in raspbian/stretch.

The version of systemd in raspbian/stretch was missing the udevd symlink and was trying to rename my wifi interfaces.

The systemd-udev from raspbian/jessie seemed to work OK.

I can recompile the eudev pet in raspbian/jessie if you want.

@wdlkmpx
Contributor

oh well. if it works ok then it's ok keep that it way.

commit ae39945 reverts this for raspbian jessie...

Please sign in to comment.